/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Melisande\Rare Drop\FermentedWine.cs
Lines of code: 51
***********************************************************/


using System;
using Server;
using System.Text;
using Server.Gumps;
using Server.Network;

namespace Server.Items
{
	public class FermentedWine : BaseExplosionPotion
	{
		public override int MinDamage { get { return Core.AOS ? 40 : 35; } }
		public override int MaxDamage { get { return Core.AOS ? 60 : 50; } }

		[Constructable]
		public FermentedWine() : base( PotionEffect.ExplosionGreater )
		{
			ItemID = 2459;
			Name = "Melisande's Fermented Wine";
			
			switch ( Utility.Random( 15 ) )
			{
				default:
				case 0: Hue = 1164;break;
				case 1: Hue = 1160;break;
				case 2: Hue = 1163;break;
				case 3: Hue = 1158;break;
				case 4: Hue = 1324;break;
				case 5: Hue = 1157;break;
				case 6: Hue = 1364;break;
				case 7: Hue = 1172;break;
				case 8: Hue = 1156;break;
				case 9: Hue = 1173;break;
				case 10: Hue = 1175;break;
				case 11: Hue = 1155;break;
				case 12: Hue = 2210;break;
				case 13: Hue = 0;break;
				case 14: Hue = 1151;break;
			}
		}
		
		/*public override void OnDoubleClick( Mobile from )
		{
			if ( !IsChildOf( from.Backpack ) )
			{
				from.SendLocalizedMessage( 1060640 );
			}
			else
			{
				if ( from.InRange( this.GetWorldLocation(), 1 ) )
				{
				}
				else
				{
					from.LocalOverheadMessage( MessageType.Regular, 906, 1019045 ); // I can't reach that.
				}	
			}				
		}*/

		public FermentedWine( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}